Questions sur l'installation et la configuration de Manjaro Linux.
Répondre

Virer les orphelins... oui, mais...

#1Messageil y a 7 mois

Chalut !

Pas encore tout à fait sorti de la m du conflit cups / cups-ipp14,
voilà-t-il pas que je n'ai plus accès au réglages d'impression. ;rale:

Ben je viens de trouver pourquoi.
Comme il est conseillé après mise à jour de
Ne pas oublier de virer les orphelins, il y en a un paquet
j'ai viré. Sans nuance. Justement parce qu'il y en avait beaucoup.
J'ai retrouvé une trace (c'est bien de les garder) de "virage" d'orphelins :

└─> yaourt -Qdt

extra/brltty 5.5-3
extra/cmake 3.10.1-1
community/cython 0.27.3-3
community/docbook2x 0.8.8-15
extra/gnutls28 3.3.19-1
extra/gobject-introspection 1.54.1-1
extra/gperf 3.1-1
extra/gtk-doc 1.27-1
extra/gtksourceview2 2.10.5-3
extra/hplip 3.17.11-1
local/js17 17.0.0-4
multilib/lib32-acl 2.2.52-2
local/lib32-gperftools 2.6.1-1
local/lib32-json-c 0.12.1-1
multilib/lib32-libcurl-gnutls 7.57.0-1
local/lib32-libgnutls28 3.3.22-1
multilib/lib32-libtxc_dxtn 1.0.1-5
local/lib32-nettle4 2.7.1-4
multilib/lib32-sdl2_image 2.0.1-2
multilib/lib32-sdl_image 1.2.12-4
multilib/lib32-sdl_mixer 1.2.12-2
local/lib32-tcp_wrappers 7.6-19
extra/libgsystem 2015.2+4+gd606bec-1
community/libindicator-gtk2 12.10.1-7
extra/libtxc_dxtn 1.0.1-6
extra/libxfont 1.5.3-1
community/maia-wallpaper 1.2-1
extra/manjaro-artwork 1.0.8-4
local/manjaro-features 16.10-1
extra/mono-addins 1.1-1
community/netcdf 4.5.0-1
local/nettle4 2.7.1-4
extra/perl-image-exiftool 10.55-2
extra/python2-dbus 1.2.4-2
community/python2-exiv2 0.3.2-16
extra/python2-gconf 2.28.1-10
extra/python2-notify 0.1.1-13
local/pywebkitgtk 1.1.8-5
community/splix 2.0.0-13
extra/system-config-printer 1.5.9-3
extra/valgrind 3.13.0-4
community/wqy-microhei 0.2.0_beta-8
community/xcursor-maia 20160417-1

==> Voulez-vous désinstaller ces paquets (avec options -Rcs) ? [o/N]

==> -----------------------------------------------------------------

==> o
Et dans ce gros paquet il y avait extra/system-config-printer 1.5.9-3
Alors, virer les orphelins... Oui, mais...
Modifié en dernier par coolinux le 08 Fév 2018, 18:02, modifié 1 fois.

Virer les orphelins... oui, mais...

#2Messageil y a 7 mois

bonjour

et oui , supprimer 100% des orphelins n'est pas toujours la solution
cela signifie qu'il manque des dépendances pour ce paquet toujours utilisé
ou alors

modifier ces dépendances sous pacman pour ne plus le voir orphelin

Virer les orphelins... oui, mais...

#3Messageil y a 7 mois

:bjr:extra/system-config-printer 1.5.9-3 doit être installé. Curieux qu'il se trouve dans les orphelins, il doit te manquer des fichiers.

Virer les orphelins... oui, mais...

#4Messageil y a 7 mois

:bjr:
Erwan a écrit :Curieux qu'il se trouve dans les orphelins
Voui ! Mais il y était. :o
Est-ce lié à mon autre sujet libcups et libcups-ipp14 sont en conflit ... ou pas ?
Peut-être que d'autres ont dégagé alors qu'ils n'auraient pas dû. Va savoir...
En tout cas, après réinstallation, system-config-printer n'est plus orphelin.

└─> yaourt -Qdt
extra/liborcus 0.13.2-1
extra/wxgtk2 3.0.3.1-11
extra/xorg-fonts-misc 1.0.3-5
==> Voulez-vous désinstaller ces paquets (avec options -Rcs) ?  [o/N]
==> -----------------------------------------------------------------
==> 

Virer les orphelins... oui, mais...

#5Messageil y a 7 mois

Bonjour,
Il est normal qu'après réinstallation "manuelle" un paquet ne figure plus dans la liste des paquets orphelins. Car les paquets orphelins correspondent uniquement à des paquets installés comme dépendances. Maintenant, il est étiqueté comme "paquet spécifiquement souhaité". Il n’apparaîtra donc plus comme paquet orphelin.

Par contre, je ne sais pas comment on peut se retrouver avec des paquets orphelins tant qu'on utilise pacman -Rcns pour désinstaller les paquets.

Bruno

Répondre